Package htsjdk.samtools.util

# Class CollectionUtil.Partitioner<V,K>

java.lang.Object
htsjdk.samtools.util.CollectionUtil.Partitioner<V,K>

Enclosing class:
  `CollectionUtil`

@Deprecated public abstract static class CollectionUtil.Partitioner<V,K> extends Object
Deprecated.
use Collectors.groupingBy instead

## Constructor Summary

Constructors
Constructor
Description
`Partitioner()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`abstract K`
`getPartition(V v)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Partitioner

public Partitioner()
Deprecated.

## Method Details

### getPartition

public abstract K getPartition(V v)
Deprecated.